package domain

type AlibabaWdkMarketingOpenVersionApplySyncVersionBo struct {
	/*
	   外部唯一ID     */
	OutUniqueId *string `json:"out_unique_id,omitempty" `

	/*
	   数据周期结束时间     */
	RangeEndTime *int64 `json:"range_end_time,omitempty" `

	/*
	   数据周期开始时间     */
	RangeStartTime *int64 `json:"range_start_time,omitempty" `

	/*
	   同步数据总数     */
	TotalCount *int64 `json:"total_count,omitempty" `

	/*
	   同步的数据表名称     */
	TableName *string `json:"table_name,omitempty" `

	/*
	   操作ID     */
	OperateId *string `json:"operate_id,omitempty" `

	/*
	   WDK_MARKET--营销数据     */
	BizCode *string `json:"biz_code,omitempty" `
}

func (s *AlibabaWdkMarketingOpenVersionApplySyncVersionBo) SetOutUniqueId(v string) *AlibabaWdkMarketingOpenVersionApplySyncVersionBo {
	s.OutUniqueId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplySyncVersionBo) SetRangeEndTime(v int64) *AlibabaWdkMarketingOpenVersionApplySyncVersionBo {
	s.RangeEndTime = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplySyncVersionBo) SetRangeStartTime(v int64) *AlibabaWdkMarketingOpenVersionApplySyncVersionBo {
	s.RangeStartTime = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplySyncVersionBo) SetTotalCount(v int64) *AlibabaWdkMarketingOpenVersionApplySyncVersionBo {
	s.TotalCount = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplySyncVersionBo) SetTableName(v string) *AlibabaWdkMarketingOpenVersionApplySyncVersionBo {
	s.TableName = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplySyncVersionBo) SetOperateId(v string) *AlibabaWdkMarketingOpenVersionApplySyncVersionBo {
	s.OperateId = &v
	return s
}
func (s *AlibabaWdkMarketingOpenVersionApplySyncVersionBo) SetBizCode(v string) *AlibabaWdkMarketingOpenVersionApplySyncVersionBo {
	s.BizCode = &v
	return s
}
